//
// Ammo.h
//

#ifndef __AMMO_H__
#define __AMMO_H__

#include "Engine/GameObject.h"
#include "EventAmmo.h"
#include "EventGunChange.h"

class Ammo : public GameObject {
	protected:
		int ammo;
		string gun_type;
		void changeAmmo(EventAmmo *e);
	public:
		Ammo(int init_ammo, string init_gun_type);
		Ammo();
		~Ammo();
		int getAmmo();
		void setAmmo(int new_ammo);
		string getGunType();
		void setGunType(string new_gun_type);
		void draw();
		int eventHandler(Event *e);
};

#endif
