//
//BigEnemy.h
//

#ifndef __BIGENEMY_H__
#define __BIGENEMY_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"
#include "Engine/WorldManager.h"
#include "Engine/ResourceManager.h"
#include "Engine/LogManager.h"
#include "Engine/GraphicsManager.h"
#include "Engine/GameManager.h"
#include "Engine/Position.h"
#include "EnemyShot.h"

class BigEnemy: public GameObject{
    
private:
	void move();
	int shot_counter;
	int move_counter;
	int dir;
	int health;
    
public:
	BigEnemy(Position init_pos);
	~BigEnemy();
	int eventHandler(Event *e);
};

#endif
