//
//EnemyShot.h
//

#ifndef __ENEMYSHOT_H__
#define __ENEMYSHOT_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/EventStep.h"
#include "Engine/WorldManager.h"
#include "Engine/GraphicsManager.h"
#include "Engine/LogManager.h"
#include "Engine/Position.h"

class EnemyShot: public GameObject{

protected:
	int direction;
	int counter;
	int count;
	void move();
	void out();
	void draw();
	int lifespan;

public:
	EnemyShot(int init_direction, int init_counter,Position init_pos);
	~EnemyShot();
	int eventHandler(Event *e);
};

#endif
