/*
* EventCollision.h
*/

#ifndef __EVENT_COLLISION_H__
#define __EVENT_COLLISION_H__

#include "Event.h"
#include "Position.h"
#include "GameObject.h"

#define COLLISION_EVENT "collision"

class EventCollision : public Event {
	protected:
		GameObject *obj;
		
	public:
		EventCollision();
		
		// creates an event collision with the given objects and position
		EventCollision(GameObject *init_obj);
		
		// returns the obj1 field
		GameObject * getObj();
		
		// sets the obj1 field
		void setObj(GameObject *new_obj);
};

#endif
