//
//EventMouse.cpp
//

#include "EventMouse.h"
#include "Event.h"

EventMouse::EventMouse() {
  setType("EVENT_MOUSE");
  mouse_action = UNDEFINED;
  mouse_x = 0;
  mouse_y = 0;
};

void EventMouse::setMouseAction(enum MouseActionList new_mouse_action){
  mouse_action = new_mouse_action;
};

enum MouseActionList EventMouse::getMouseAction(){
  return mouse_action;
};

void EventMouse::setMouseX(int new_x){
  mouse_x = new_x;
};

int EventMouse::getMouseX(){
  return mouse_x;
};

void EventMouse::setMouseY(int new_y){
  mouse_y = new_y;
};

int EventMouse::getMouseY(){
  return mouse_y;
};
