//
//LogManager.cpp
//

#include "LogManager.h"
#include <time.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>

using namespace std;

LogManager::LogManager() {
  
};

LogManager::LogManager(LogManager const&) {

};

LogManager::~LogManager() {

};

LogManager& LogManager::getInstance() {
  static LogManager instance;
  return instance;
};

char *LogManager::getTimeString() {
/* //taken from class slides  
  static char time_str[30];
  struct tm *p_time;
  time_t time;

  //time(&time);
  p_time = localtime(time);
 
  // 02 gives two digits, %d for integer
  sprintf(time_str, "%02d:%02d:%02d", 
    p_time -> tm_hour, 
    p_time -> tm_min, 
    p_time -> tm_sec);
 
  return time_str;*/
};

int LogManager::startUp(bool append, bool flush) {
  do_flush = flush;
  if(append)
    fp = fopen("Dragonfly.log","a");
  else{
    fp = fopen("Dragonfly.log","w");
  }
};

void LogManager::shutDown() {
  fclose( fp );
};

int LogManager::writeLog(const char *fmt, ...) {
  time_t rawtime;
  time ( &rawtime );
  string time = ctime(&rawtime);
  char *final = const_cast<char*>((time.substr(11,8)).c_str());
  fprintf( fp,"%s:", final);
  //fprintf( fp, "Error: " );
  va_list args;
  va_start( args, fmt );
  vfprintf( fp, fmt, args );
  fprintf( fp, "\n" );
  va_end( args );
  if ( do_flush ) {
    fflush( fp );
  }
};
