///
/// logManager.h
/// 

#ifndef __LOG_MANAGER_H__
#define __LOG_MANAGER_H__

#include "Manager.h"

#define LOGFILE_NAME "dragonfly.log"

class LogManager : public Manager {

 private:
  LogManager (LogManager const&);
  void operator=(LogManager const&);
  LogManager();

 protected:
  bool do_flush;
  FILE *fp;
  char *getTimeString();

 public:
  ~LogManager();
  static LogManager &getInstance();
  int startUp(bool append, bool flush);
  void shutDown();
  int writeLog(const char *fmt, ...);
};

#endif
