/*
* Sprite.h
*/

#ifndef __SPRITE_H__
#define __SPRITE_H__

#include <string>
#include "Frame.h"

using namespace std;

class Sprite {
	protected:
		int width;
		int height;
		int max_frame_count;
		int frame_count;
		int color;
		Frame *frame;
		string label;
		Sprite();
	
	public:
		~Sprite();
		
		Sprite(int max_frames);
		
		int getWidth();
		void setWidth(int new_width);
		
		int getHeight();
		void setHeight(int new_height);
		
		string getLabel();
		void setLabel(string new_label);
		
		int getColor();
		void setColor(int new_color);
		
		int getFrameCount();
		
		Frame getFrame(int frame_number);
		int addFrame(Frame new_frame);
};

#endif
