//
//FirstEnemy.h
//

#ifndef __FIRSTENEMY_H__
#define __FIRSTENEMY_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"
#include "Engine/WorldManager.h"
#include "Engine/ResourceManager.h"
#include "Engine/LogManager.h"
#include "Engine/GraphicsManager.h"
#include "Engine/GameManager.h"
#include "Engine/Position.h"
#include "AmmoDrop.h"

class FirstEnemy: public GameObject{
    
private:
	void move();
	int shot_counter;
	int move_counter;
	int dir;
	void spawnAmmo();
	int health;
	int hurt_count;
    
public:
	FirstEnemy(Position init_pos);
	~FirstEnemy();
	int eventHandler(Event *e);
};

#endif
