//
//  LifeDrop.h
//

#ifndef __LIFE_DROP_H__
#define __LIFE_DROP_H__

#include "Engine/GameObject.h"
#include "Engine/GraphicsManager.h"
#include "Engine/WorldManager.h"
#include "Engine/EventCollision.h"

class LifeDrop : public GameObject {
	protected:
		void moveHero(GameObject *p_go, Position new_pos);
	public:
		LifeDrop(Position pos);
		LifeDrop();
		~LifeDrop();
		void draw();
		int eventHandler(Event *e);
};

#endif
