//
// ScatterBullet.cpp
//

#include "ScatterBullet.h"

ScatterBullet::ScatterBullet(int new_dir, Position new_pos) {
	damage = 6;
	distance = 6;
	counter = 4;
	init_counter = 4;
	direction = new_dir;
	setPos(new_pos);
	if(direction == UP) {
		c = '^';
	}
	else if(direction == DOWN) {
		c = 'v';
	}
	else if(direction == RIGHT) {
		c = '>';
	}
	else if(direction == LEFT) {
		c = '<';
	};
};

ScatterBullet::~ScatterBullet() {

};

void ScatterBullet::draw() {
	GraphicsManager &graph_man = GraphicsManager::getInstance();
	Position new_pos = graph_man.worldToScreen(pos);
	graph_man.drawCh(new_pos, c);
};
