//
//SecondEnemy.h
//

#ifndef __SECONDENEMY_H__
#define __SECONDENEMY_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"
#include "Engine/WorldManager.h"
#include "Engine/ResourceManager.h"
#include "Engine/LogManager.h"
#include "Engine/GraphicsManager.h"
#include "Engine/GameManager.h"
#include "Engine/Position.h"
#include "EnemyShot.h"
#include "AmmoDrop.h"

class SecondEnemy: public GameObject{
    
private:
	void move();
	int shot_counter;
	int move_counter;
	int dir;
	void spawnAmmo();
	int health;
	int hurt_count;
    
public:
	SecondEnemy(Position init_pos);
	~SecondEnemy();
	int eventHandler(Event *e);
};

#endif
