//
// AmmoDrop.h
//

#ifndef __AMMO_DROP_H__
#define __AMMO_DROP_H__

#include "Engine/GameObject.h"
#include "Engine/EventCollision.h"
#include "Engine/Event.h"
#include "Engine/WorldManager.h"
#include "Engine/GraphicsManager.h"
#include "Hero.h"

class AmmoDrop : public GameObject {
	protected:
		string ammo_type;
		int ammo;
		void moveHero(GameObject *p_go, Position new_pos);
		char ch;
		void setChar(string ammo_str);
	public:
		AmmoDrop(string init_type, int init_count, Position init_pos);
		AmmoDrop();
		~AmmoDrop();
		void draw();
		int eventHandler(Event *e);
		void setAmmoType(string new_type);
		string getAmmoType();
		void setAmmo(int new_ammo);
		int getAmmo();
};

#endif
