//
//Bullet.h
//

#ifndef __BULLET_H__
#define __BULLET_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/EventStep.h"
#include "Engine/WorldManager.h"
#include "Engine/GraphicsManager.h"
#include "Hero.h"

class Bullet: public GameObject{
	protected:
		int distance;
		int damage;
		int direction;
		int counter;
		int init_counter;
		virtual void move();
		string bullet_type;

	public:
		Bullet();
		Bullet(int new_direction, Position new_pos);
		~Bullet();
		int getDirection();
		virtual void draw();
		virtual int eventHandler(Event *e);
		int getDamage();
		string getBulletType();
};

#endif
