///
/// eventMouse.h
///

#ifndef __EVENT_MOUSE_H__
#define __EVENT_MOUSE_H__

#include "Event.h"

#define MOUSE_EVENT "MOUSE"

enum MouseActionList {
  LEFT_BUTTON_CLICK,
  LEFT_BUTTON_DOUBLECLICK,
  RIGHT_BUTTON_CLICK,
  RIGHT_BUTTON_DOUBLECLICK,
  UNDEFINED
};

class EventMouse : public Event {

 protected:
  enum MouseActionList mouse_action;
  int mouse_x;
  int mouse_y;
  
 public:
  EventMouse();
  void setMouseAction(enum MouseActionList new_mouse_action);
  enum MouseActionList getMouseAction();
  void setMouseX(int new_x);
  int getMouseX();
  void setMouseY(int new_y);
  int getMouseY();

};

#endif
