//
//GameObjectList.cpp
//

#include "GameObjectList.h"
#include <stdio.h>

GameObjectList::GameObjectList() {
  count = 0;
};

GameObjectList::~GameObjectList() {

};

GameObjectListIterator GameObjectList::createIterator() const {
  GameObjectListIterator * iterator = new GameObjectListIterator(this);
  return *iterator;
};

int GameObjectList::insert(GameObject *p_go) {
  if(count<=MAX_GAME_OBJECTS){
    list[count] = p_go;
    count++;
  }
};

GameObject *GameObjectList::find(int id) {
  for (int i=0; i<count; i++) {
    if (list[i] -> getId() == id)
      return list[i];
  }
  return NULL;
};

int GameObjectList::remove(GameObject *p_go) {
  for (int i=0; i<count; i++) {
    if (list[i]->getId() == p_go->getId()) {
      for (int j=i; j<count; j++) 
        list[j] = list[j+1];
      count--;
      return 0;
    }
  }
  return -1;
};

void GameObjectList::clear() {
  count = 0;
};

int GameObjectList::getCount(void) {
  return count;
};
