//
//GameObjectListIterator.cpp
//

#include "GameObjectListIterator.h"
#include <stdio.h>

GameObjectListIterator::GameObjectListIterator() {
  // p_list = new GameObjectList();
  index = 0;
};

GameObjectListIterator::~GameObjectListIterator() {

};

GameObjectListIterator::GameObjectListIterator(const GameObjectList *p_l) {
  // p_list = new GameObjectList();
  p_list = p_l;
  index = 0;
};

void GameObjectListIterator::first() {
  index = 0;
};

void GameObjectListIterator::next() {
  index++;
};

bool GameObjectListIterator::isDone(){
  return index >= p_list->count;
};

GameObject *GameObjectListIterator::currentObj() {
  GameObject * object = p_list->list[index];
  return object;
};
