///
/// gameObjectListIterator.h
///

#ifndef __GAME_OBJECT_LIST_ITERATOR_H__
#define __GAME_OBJECT_LIST_ITERATOR_H__

#include "GameObjectList.h"

class GameObjectList;

class GameObjectListIterator {

 private:
  GameObjectListIterator();

 protected:
  int index;
  const GameObjectList *p_list;

 public:
  ~GameObjectListIterator();
  GameObjectListIterator(const GameObjectList *p_l);
  void first();
  void next();
  bool isDone();
  GameObject *currentObj();
};

#endif
