///
/// inputManager.h
///

#ifndef __INPUT_MANAGER_H__
#define __INPUT_MANAGER_H__

#ifdef CYGWIN
#include <ncurses/curses.h>
#else
#include <curses.h>
#endif

#include "Manager.h"

class InputManager : public Manager {

 private:
  InputManager (InputManager const&);
  void operator=(InputManager const&);
  InputManager();

 protected:
  bool is_started;

 public:
  ~InputManager();
  static InputManager &getInstance();
  bool isValid(string event_name);
  int startUp();
  void shutDown();
  void getInput();
  bool isStarted();
};

#endif
