///
/// manager.h
///

#ifndef __MANAGER_H__
#define __MANAGER_H__

#include "GameObjectList.h"
#include "GameObjectList.h"
#include "Event.h"
#include <string>

#define MAX_EVENTS 100

class Manager {

 protected:
  string event[MAX_EVENTS];
  GameObjectList obj_list[MAX_EVENTS];
  int event_list_count;
  bool is_started;
  virtual bool isValid(string event_name);
  
 public:
  Manager();
  virtual ~Manager();
  void onEvent(Event *p_event);
  int registerInterest(GameObject *p_go, string event_name);
  int unregisterInterest(GameObject *p_go, string event_name);
  virtual int startUp();
  virtual void shutDown();
  bool isStarted();
};

#endif
