//
// GunLabel.h
//

#ifndef __GUN_LABEL_H__
#define __GUN_LABEL_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/WorldManager.h"
#include "Engine/GraphicsManager.h"
#include "EventGunChange.h"

class GunLabel : public GameObject {
	protected:
		string gun;
		void changeGun(EventGunChange *e);
	public:
		GunLabel();
		~GunLabel();
		string getGun();
		void draw();
		int eventHandler(Event *e);
};

#endif
