//
// Lives.h
//

#ifndef __LIVES_H__
#define __LIVES_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"

class Lives : public GameObject {
	protected:
		int lives;
	public:
		Lives();
		Lives(int init_lives);
		~Lives();
		
		int eventHandler(Event *e);
		void draw();
		int getLives();
		void setLives(int new_lives);
};

#endif
