//
//MovingObstacle.h
//

#ifndef __MOVINGOBSTACLE_H__
#define __MOVINGOBSTACLE_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/Position.h"
#include "AmmoDrop.h"

class MovingObstacle: public GameObject{

private:
	int direction;
	int slowdown;
	void move();
	void out();
	void spawnAmmo();

public:
	MovingObstacle(Position init_pos,int init_direction);
	~MovingObstacle();
	int getDirection();
	int eventHandler(Event *e);
};

#endif
