//
// RailGun.h
//

#ifndef __RAILGUN_H__
#define __RAILGUN_H__

#include "Bullet.h"

class RailGun : public Bullet {
	protected:
		int length;
		int duration;
		int max_length;
		void newShot();
		bool done;
	public:
		RailGun();
		RailGun(Position init_pos, int new_direction);
		RailGun(Position init_pos, int init_length, int new_direction);
		RailGun(Position init_pos, int init_length, int init_duration, int new_direction);
		~RailGun();
		int eventHandler(Event *e);
		void draw();
};

#endif
