//
//SecondBoss.h
//

#ifndef __SECONDBOSS_H__
#define __SECONDBOSS_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"
#include "Engine/WorldManager.h"
#include "Engine/ResourceManager.h"
#include "Engine/LogManager.h"
#include "Engine/GraphicsManager.h"
#include "Engine/GameManager.h"
#include "Engine/Position.h"
#include "EnemyShot.h"

class SecondBoss: public GameObject{
    
private:
	void move();
	int shot_counter;
	int spin_counter;
	int move_counter;
	int dir;
	int shot_dir;
	int health;
    
public:
	SecondBoss(Position init_pos);
	~SecondBoss();
	int eventHandler(Event *e);
};

#endif
