//
//SmartEnemy.h
//

#ifndef __SMARTENEMY_H__
#define __SMARTENEMY_H__

#include "Engine/GameObject.h"
#include "Engine/Event.h"
#include "Engine/EventStep.h"
#include "Engine/EventCollision.h"
#include "Engine/WorldManager.h"
#include "Engine/ResourceManager.h"
#include "Engine/LogManager.h"
#include "Engine/GraphicsManager.h"
#include "Engine/GameManager.h"
#include "Engine/Position.h"
#include "AmmoDrop.h"

class SmartEnemy: public GameObject{
    
private:
	void move();
	int shot_counter;
	int move_counter;
	int dir;
	int shoot_dir;
	void spawnAmmo();
	int health;
	int hurt_count;
    
public:
	SmartEnemy(Position init_pos);
	~SmartEnemy();
	int eventHandler(Event *e);
};

#endif
