//
// StandardBullet.cpp
//

#include "StandardBullet.h"
#include "RocketExplosion.h"

StandardBullet::StandardBullet(int new_direction, Position new_pos) {
	damage = 1;
	distance = 18;
	direction = new_direction;
	setPos(new_pos);
	bullet_type = "standard";
};

StandardBullet::~StandardBullet() {
};

void StandardBullet::draw() {
	GraphicsManager &graph_man = GraphicsManager::getInstance();
	Position new_pos = graph_man.worldToScreen(pos);
	graph_man.drawCh(new_pos, '*');
};
